use crate::prelude::*;

/// Deletes the message ignoring the errors
#[inline]
pub async fn delete_message(bot: Throttle<Bot>, msg: Message) {
    let _ = bot.delete_message(msg.chat.id, msg.id).await;
}

/// Returns true if the field is valid
#[inline]
pub fn validate_field(field: &str) -> bool {
    if field.is_empty() {
        return false;
    }
    field
        .chars()
        .all(|char| !['`', '\\', '\n', '\t'].contains(&char))
}
